# SafetyScoreRequestParameters

Represents the parameters for which an aggregated safety score is being requested.

## SafetyScoreRequestParameters API

### `getOccupantRoles()`

Returns the occupant roles for which an aggregated safety score will be requested.

```java
OccupantRoles getOccupantRoles();
```

### `getPeriod()`

Returns the period for which an aggregated safety score will be requested.

```java
Period getPeriod();
```

### `getTransportModes()`

Returns the transport modes for which an aggregated safety score will be requested.

```java
TransportModes getTransportModes();
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/android/driving-insights/safetyscorerequestparameters.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
